//#define DEBUG

#define WIFI_SSID "....."
#define WIFI_PASS "....."

#define LED_WIDTH 16
#define LED_HEIGHT 16
#define LED_COUNT 256
#define LED_TYPE WS2812B
#define DATA_PIN 14
#define COLOR_ORDER GRB
uint8_t config_brightness = 20; // Can be overwritten via MQTT_TOPIC_BRIGHTNESS

#define NTP_SERVER "pool.ntp.org"
#define NTP_INTERVAL 300000
#define NTP_OFFSET 7200

#define MQTT_ENABLE
#define MQTT_SERVER "....."
#define MQTT_PORT 1883
#define MQTT_USER "pitrix"
#define MQTT_PASS "....."
#define MQTT_TOPIC "pitrix/" // MQTT-Topic to listen to. Must not start with a slash, but must end with one."

#define HOSTNAME "pitrix-%08X"
#define OTA_STARTUP_DELAY 5 // How many seconds to wait at startup. Set to 0 to disable.

#define FPS 50
#define SHOW_TEXT_DELAY 100

#define MONITOR_LOOP_TIMES false
#define MONITOR_LOOP_TIME_THRESHOLD 500
#define MONITOR_LOOP_TIME_COUNT_MAX 10

// Effect config
uint16_t config_effect_cycle_time = 300; // Time in seconds between cycling effects.

uint16_t config_effect_matrix_length_min = 4;
uint16_t config_effect_matrix_length_max = 20;
uint16_t config_effect_matrix_speed_min = 50;
uint16_t config_effect_matrix_speed_max = 135;

uint16_t config_effect_single_dynamic_loop_time = 200;
uint16_t config_effect_multi_dynamic_loop_time = 1400;
