#ifndef prototypes_H
#define prototypes_H

#include <Arduino.h>

typedef struct {
  uint8_t *colors;
  uint8_t *data;
  uint16_t *offsets;
  uint16_t *delays;
  boolean individual_delays;
  int color_count;
  int frame_count;
  int w;
  int h;
} AnimationData;

typedef struct {
  uint8_t x;
  uint8_t y;
  uint8_t w;
  uint8_t h;
} Window;

typedef struct Vector {
  double x1;
  double x2;
} Vector;

typedef struct Matrix {
  double a11;
  double a12;
  double a21;
  double a22;
} Matrix;

#endif
